com.microfocus.awm.model.internal

## Class ProcessDirectory

- java.lang.Object
- - com.microfocus.awm.model.internal.ProcessDirectory

- All Implemented Interfaces:
    IProcessDirectory

      public class ProcessDirectory
      extends java.lang.Object
      implements IProcessDirectory

  Main implementation of `IProcessDirectory`.
  Author:
    Joachim Kaltenbach

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProcess(ITaurusProcess pProcess)` Add a new TAURUS process to the process list.
    `void` | `clearProcessList()` Clear the process list.
    `static ProcessDirectory` | `getInstance()` Gets the singleton instance.
    `java.util.Set<ITaurusProcess>` | `getProcesses()` Returns the set of active TAURUS processes.
    `java.lang.String` | `getProcessIDs()` Gets a line separated list of all currently running process IDs.
    `boolean` | `isEmpty()` Check if the process list is empty.
    `boolean` | `removeProcess(ITaurusProcess pProcess)` Remove the given TAURUS process from the process list.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ProcessDirectory getInstance()

      Gets the singleton instance.
      Returns:
        the instance

    - #### addProcess

          public void addProcess(ITaurusProcess pProcess)

      Description copied from interface: `IProcessDirectory`
      Add a new TAURUS process to the process list.
      Specified by:
        `addProcess` in interface `IProcessDirectory`
      Parameters:
        `pProcess` - TAURUS process

    - #### removeProcess

          public boolean removeProcess(ITaurusProcess pProcess)

      Description copied from interface: `IProcessDirectory`
      Remove the given TAURUS process from the process list.
      Specified by:
        `removeProcess` in interface `IProcessDirectory`
      Parameters:
        `pProcess` - TAURUS process
      Returns:
        `true`, if the removal of the process was successful, otherwise `false`

    - #### isEmpty

          public boolean isEmpty()

      Description copied from interface: `IProcessDirectory`
      Check if the process list is empty.
      Specified by:
        `isEmpty` in interface `IProcessDirectory`
      Returns:
        `true`, if the process list is empty, otherwise `false`

    - #### clearProcessList

          public void clearProcessList()

      Description copied from interface: `IProcessDirectory`
      Clear the process list.
      Specified by:
        `clearProcessList` in interface `IProcessDirectory`

    - #### getProcessIDs

          public java.lang.String getProcessIDs()

      Description copied from interface: `IProcessDirectory`
      Gets a line separated list of all currently running process IDs.
      Specified by:
        `getProcessIDs` in interface `IProcessDirectory`
      Returns:
        a line separated list of all currently running process IDs

    - #### getProcesses

          public java.util.Set<ITaurusProcess> getProcesses()

      Description copied from interface: `IProcessDirectory`
      Returns the set of active TAURUS processes.
      Specified by:
        `getProcesses` in interface `IProcessDirectory`
      Returns:
        set of active TAURUS processes

Copyright © 2015 Micro Focus GmbH. All rights reserved.